#!/bin/bash
# super-simplistic installer for l2ork things by Ivica Ico Bukvic

if [ $# -eq 0 ] # should check for no arguments
then
	echo
	echo "   Usage: ./tar_em_up.sh -option1 -option2 ..."
	echo "   Options:"
	echo "     -a    l2ork addon to the dev package"
	echo "     -c    core Pd"
	echo "     -d    whole dev folder"
	echo "     -e    everything"
	echo "     -f    core Pd and externals installer"
	echo
	exit 1
fi

addon=0
core=0
dev=0
full=0

while getopts ":acdef" Option
do case $Option in
		a)		addon=1;;

		c)		core=1;;

		d)		dev=1;;

		e)		addon=1
				core=1
				dev=1
				full=1;;

		f)		full=1;;

		*)		echo "Error: unknown option";;
	esac
done

cd ../

if [ $core -eq 1 ]
then
	echo "core Pd..."
	rm -f ../Pd-0.42.5-extended-l2ork-`arch`-`date +%Y%m%d`.tar.gz 2> /dev/null
	cd pd/src/
	./configure --prefix=/usr/local --enable-jack --enable-alsa
	make
	cd ../../
	tar -zcf ../Pd-0.42.5-extended-l2ork-`arch`-`date +%Y%m%d`.tar.gz pd
fi

if [ $addon -eq 1 ]
then
	echo "l2ork addons..."
	rm -f ../l2ork_addons-`arch`-`date +%Y%m%d`.tar.gz 2> /dev/null
	cp -rf /usr/local/lib/pd/* l2ork_addons/externals/
	tar -zcf ../l2ork_addons-`arch`-`date +%Y%m%d`.tar.gz l2ork_addons
fi

if [ $full -eq 1 ]
then
  echo "Pd full installer..."
  cd packages/linux_make
  make distclean
  ./runmebeforereinstalling.sh
  make install prefix=/usr/local
  echo "tar full installer..."
  rm -f build/usr/local/lib/pd
  make tarbz2
  echo "move full installer..."
  rm -f ../../../Pd-0.42.5-extended-l2ork-full-`arch`-`date +%Y%m%d`.tar.bz2 2> /dev/null
  mv build/Pd*bz2 ../../../Pd-0.42.5-extended-l2ork-full-`arch`-`date +%Y%m%d`.tar.bz2
  cd ../../
fi

if [ $dev -eq 1 ]
then
	echo "Pd dev package..."
	cd ../
	rm -f Pd-0.42.5-extended-l2ork-dev-`date +%Y%m%d`.tar.bz2 2> /dev/null
	tar -jcf Pd-0.42.5-extended-l2ork-dev-`date +%Y%m%d`.tar.bz2 pure-data
	cd pure-data/
fi

cd l2ork_addons/

echo "done."

exit 0

